FailedConsole Output

Skipping 1,055 KB.. Full Log
CommandStack.java:[57] 
	protected NestingNotifyingWorkspaceCommandStack createNestedCommandStack(IOperationHistory history) {
	          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The type NestingNotifyingWorkspaceCommandStack is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/CDOUtils.java:[35] 
	import org.eclipse.emf.cdo.internal.explorer.checkouts.CDOCheckoutViewProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutViewProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/CDOUtils.java:[74] 
	private static final Set<String> CDO_URI_SCHEMES = ImmutableSet.of("cdo", "dawn", CDOCheckoutViewProvider.SCHEME); //$NON-NLS-1$ //$NON-NLS-2$
	                                                                                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutViewProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/CDOUtils.java:[74] 
	private static final Set<String> CDO_URI_SCHEMES = ImmutableSet.of("cdo", "dawn", CDOCheckoutViewProvider.SCHEME); //$NON-NLS-1$ //$NON-NLS-2$
	                                                                                                          ^^^^^^
Discouraged access: The field 'CDOCheckoutViewProvider.SCHEME' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/core/resource/CDOAwareTransactionalEditingDomainProvider.java:[21] 
	import org.eclipse.papyrus.commands.CheckedOperationHistory;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The type CheckedOperationHistory is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/core/resource/CDOAwareTransactionalEditingDomainProvider.java:[35] 
	CDOAwareCommandStack stack = new CDOAwareCommandStack(CheckedOperationHistory.getInstance());
	                                                      ^^^^^^^^^^^^^^^^^^^^^^^
The type CheckedOperationHistory is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/core/resource/CDOAwareTransactionalEditingDomainProvider.java:[35] 
	CDOAwareCommandStack stack = new CDOAwareCommandStack(CheckedOperationHistory.getInstance());
	                                                                              ^^^^^^^^^^^^^
The method getInstance() from the type CheckedOperationHistory is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[276] 
	org.eclipse.papyrus.infra.core.sashwindows.di.PageList dstPages = dstMngr.getPageList();
	                                              ^^^^^^^^
The type PageList is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[276] 
	org.eclipse.papyrus.infra.core.sashwindows.di.PageList dstPages = dstMngr.getPageList();
	                                                                          ^^^^^^^^^^^^^
The method getPageList() from the type SashWindowsMngr is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[277] 
	org.eclipse.papyrus.infra.core.sashwindows.di.PageList srcPages = srcMngr.getPageList();
	                                              ^^^^^^^^
The type PageList is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[277] 
	org.eclipse.papyrus.infra.core.sashwindows.di.PageList srcPages = srcMngr.getPageList();
	                                                                          ^^^^^^^^^^^^^
The method getPageList() from the type SashWindowsMngr is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[280] 
	dstMngr.setPageList(srcPages);
	        ^^^^^^^^^^^^^^^^^^^^^
The method setPageList(PageList) from the type SashWindowsMngr is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[282] 
	dstPages.getAvailablePage().addAll(srcPages.getAvailablePage());
	         ^^^^^^^^^^^^^^^^^^
The method getAvailablePage() from the type PageList is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/importer/ModelImporter.java:[282] 
	dstPages.getAvailablePage().addAll(srcPages.getAvailablePage());
	                                            ^^^^^^^^^^^^^^^^^^
The method getAvailablePage() from the type PageList is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/controlmode/CDOProxyManager.java:[19] 
	import org.eclipse.emf.cdo.internal.explorer.checkouts.CDOCheckoutViewProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutViewProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/controlmode/CDOProxyManager.java:[36] 
	private static final String URI_SCHEME = CDOCheckoutViewProvider.SCHEME;
	                                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutViewProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/org/eclipse/papyrus/cdo/internal/core/controlmode/CDOProxyManager.java:[36] 
	private static final String URI_SCHEME = CDOCheckoutViewProvider.SCHEME;
	                                                                 ^^^^^^
Discouraged access: The field 'CDOCheckoutViewProvider.SCHEME' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer/4.6.1.v20200610-0352/org.eclipse.emf.cdo.explorer-4.6.1.v20200610-0352.jar')
27 problems (27 warnings)
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.core ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.core ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/target/org.eclipse.papyrus.cdo.core-2.0.1-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.core ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.core ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.core/target/org.eclipse.papyrus.cdo.core-2.0.1-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.core ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.core ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.core ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.core ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] ------< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.security >------
[INFO] Building org.eclipse.papyrus.cdo.security 1.0.0-SNAPSHOT          [4/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.security ---
[INFO] The project's OSGi version is 1.0.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.security ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.security ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.security ---
[INFO] Compiling 3 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.security ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.security ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/target/org.eclipse.papyrus.cdo.security-1.0.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.security ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security/target/org.eclipse.papyrus.cdo.security-1.0.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.security ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.security ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.security.properties >--
[INFO] Building org.eclipse.papyrus.cdo.security.properties 1.0.0-SNAPSHOT [5/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] The project's OSGi version is 1.0.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Compiling 1 source file to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/target/org.eclipse.papyrus.cdo.security.properties-1.0.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.security.properties/target/org.eclipse.papyrus.cdo.security.properties-1.0.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.security.properties ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.validation.problems >--
[INFO] Building org.eclipse.papyrus.cdo.validation.problems 1.2.0-SNAPSHOT [6/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.validation.problems ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.validation.problems:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/pom.xml
[INFO] Compiling 16 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/target/org.eclipse.papyrus.cdo.validation.problems-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems/target/org.eclipse.papyrus.cdo.validation.problems-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.validation.problems ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.validation.problems.edit >--
[INFO] Building org.eclipse.papyrus.cdo.validation.problems.edit 1.2.0-SNAPSHOT [7/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.validation.problems.edit:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/pom.xml
[INFO] Compiling 8 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/target/org.eclipse.papyrus.cdo.validation.problems.edit-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.validation.problems.edit/target/org.eclipse.papyrus.cdo.validation.problems.edit-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.validation.problems.edit ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] ---------< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui >---------
[INFO] Building org.eclipse.papyrus.cdo.ui 1.2.0-SNAPSHOT                [8/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.ui ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.ui ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.ui ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/pom.xml
[INFO] Compiling 62 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/classes
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/adapters/CDOAdapterFactory.java:[41] 
	public Object getAdapter(Object adaptableObject, @SuppressWarnings("rawtypes") Class adapterType) {
	       ^^^^^^
Type safety: The return type Object for getAdapter(Object, Class) from the type CDOAdapterFactory needs unchecked conversion to conform to T from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/adapters/CDOAdapterFactory.java:[89] 
	public Class[] getAdapterList() {
	       ^^^^^^^
Type safety: The return type Class[] for getAdapterList() from the type CDOAdapterFactory needs unchecked conversion to conform to Class<?>[] from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/views/DIModel.java:[74] 
	public Object getAdapter(Class adapter) {
	       ^^^^^^
Type safety: The return type Object for getAdapter(Class) from the type DIModel needs unchecked conversion to conform to T from the type PlatformObject
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/views/DIModel.java:[79] 
	return super.getAdapter(adapter);
	       ^^^^^^^^^^^^^^^^^^^^^^^^^
Type safety: Unchecked invocation getAdapter(Class) of the generic method getAdapter(Class<T>) of type PlatformObject
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/views/DIModel.java:[79] 
	return super.getAdapter(adapter);
	                        ^^^^^^^
Type safety: The expression of type Class needs unchecked conversion to conform to Class<Object>
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/wizards/CheckoutSelectionBlock.java:[25] 
	import org.eclipse.emf.cdo.explorer.checkouts.CDOCheckoutManager;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The import org.eclipse.emf.cdo.explorer.checkouts.CDOCheckoutManager is never used
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/wizards/CheckoutSelectionBlock.java:[26] 
	import org.eclipse.emf.cdo.explorer.ui.checkouts.CDOCheckoutContentProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CreateCDOModelFragmentDialog.java:[225] 
	return (parentUnit instanceof CDOResource) ? new CreateCDOModelFragmentDialog(shell, parentUnit, defaultUnitURI) : DEFAULT.createDialog(shell, parentUnit, defaultUnitURI);
	                                                                                                                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The method createDialog(Shell, Resource, String) from the type IControlModeFragmentDialogProvider is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CreateCDOModelFragmentDialog.java:[240] 
	public Class[] getAdapterList() {
	       ^^^^^^^
Type safety: The return type Class[] for getAdapterList() from the type CreateCDOModelFragmentDialog.AdapterFactory needs unchecked conversion to conform to Class<?>[] from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CreateCDOModelFragmentDialog.java:[245] 
	public Object getAdapter(Object adaptableObject, @SuppressWarnings("rawtypes") Class adapterType) {
	       ^^^^^^
Type safety: The return type Object for getAdapter(Object, Class) from the type CreateCDOModelFragmentDialog.AdapterFactory needs unchecked conversion to conform to T from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CheckoutBrowseDialog.java:[59] 
	import org.eclipse.ui.actions.CreateFolderAction;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The type CreateFolderAction is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CheckoutBrowseDialog.java:[228] 
	tree.setSorter(itemProvider);
	     ^^^^^^^^^^^^^^^^^^^^^^^
The method setSorter(ViewerSorter) from the type StructuredViewer is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CheckoutBrowseDialog.java:[242] 
	ActionButton newFolderButton = new ActionButton(Messages.CheckoutBrowseDialog_newFolderAction, new CreateFolderAction(this), SWT.PUSH);
	                                                                                                   ^^^^^^^^^^^^^^^^^^
The type CreateFolderAction is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/dialogs/CheckoutBrowseDialog.java:[242] 
	ActionButton newFolderButton = new ActionButton(Messages.CheckoutBrowseDialog_newFolderAction, new CreateFolderAction(this), SWT.PUSH);
	                                                                                                   ^^^^^^^^^^^^^^^^^^^^^^^^
The constructor CreateFolderAction(IShellProvider) is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/DawnEditorAdapter.java:[103] 
	public Object getAdapter(@SuppressWarnings("rawtypes") Class adapter) {
	       ^^^^^^
Type safety: The return type Object for getAdapter(Class) from the type DawnEditorAdapter needs unchecked conversion to conform to T from the type IAdaptable
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/decorators/CDOStateLabelDecorator.java:[54] 
	private final ListenerList listeners = new ListenerList();
	              ^^^^^^^^^^^^
ListenerList is a raw type. References to generic type ListenerList<E> should be parameterized
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/decorators/CDOStateLabelDecorator.java:[54] 
	private final ListenerList listeners = new ListenerList();
	                                           ^^^^^^^^^^^^
ListenerList is a raw type. References to generic type ListenerList<E> should be parameterized
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/decorators/CDOStateLabelDecorator.java:[110] 
	listeners.add(listener);
	^^^^^^^^^^^^^^^^^^^^^^^
Type safety: The method add(Object) belongs to the raw type ListenerList. References to generic type ListenerList<E> should be parameterized
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/adapters/EditorAdapterFactory.java:[35] 
	public Object getAdapter(Object adaptableObject, Class adapterType) {
	       ^^^^^^
Type safety: The return type Object for getAdapter(Object, Class) from the type EditorAdapterFactory needs unchecked conversion to conform to T from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/adapters/EditorAdapterFactory.java:[50] 
	public Class[] getAdapterList() {
	       ^^^^^^^
Type safety: The return type Class[] for getAdapterList() from the type EditorAdapterFactory needs unchecked conversion to conform to Class<?>[] from the type IAdapterFactory
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[31] 
	import org.eclipse.emf.cdo.internal.ui.InteractiveConflictHandlerSelector;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'InteractiveConflictHandlerSelector' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.ui/4.8.0.v20200528-0542/org.eclipse.emf.cdo.ui-4.8.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[42] 
	import org.eclipse.emf.internal.cdo.transaction.CDOHandlingConflictResolver;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOHandlingConflictResolver' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[68] 
	import org.eclipse.papyrus.infra.core.utils.AdapterUtils;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[99] 
	private final Map<IEditorPart, Map<IEditorPart, CDOInvalidRootAgent>> invalidRootAgents = new HashMap();
	                                                                                          ^^^^^^^^^^^^^
Type safety: The expression of type HashMap needs unchecked conversion to conform to Map<IEditorPart,Map<IEditorPart,CDOInvalidRootAgent>>
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[99] 
	private final Map<IEditorPart, Map<IEditorPart, CDOInvalidRootAgent>> invalidRootAgents = new HashMap();
	                                                                                              ^^^^^^^
HashMap is a raw type. References to generic type HashMap<K,V> should be parameterized
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[111] 
	private IResourceSetDisposalApprover disposalApprover = new ResourceSetDisposalApprover();
	                                     ^^^^^^^^^^^^^^^^
The value of the field PapyrusCDOEditorManager.disposalApprover is not used
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[128] 
	URI uri = EditorUtils.getResourceURI(input);
	    ^^^
The value of the local variable uri is not used
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[146] 
	CDOHandlingConflictResolver conflictResolver = new CDOHandlingConflictResolver() {
	^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOHandlingConflictResolver' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[146] 
	CDOHandlingConflictResolver conflictResolver = new CDOHandlingConflictResolver() {
	                                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOHandlingConflictResolver' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[146] 
	CDOHandlingConflictResolver conflictResolver = new CDOHandlingConflictResolver() {
	                                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The constructor 'CDOHandlingConflictResolver()' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[148] 
	protected boolean handleConflict(final ConflictHandler conflictHandler, final long lastNonConflictTimeStamp) {
	                                       ^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOHandlingConflictResolver.ConflictHandler' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[167] 
	private boolean superHandleConflict(final ConflictHandler conflictHandler, final long lastNonConflictTimeStamp) {
	                                          ^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOHandlingConflictResolver.ConflictHandler' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[168] 
	return super.handleConflict(conflictHandler, lastNonConflictTimeStamp);
	             ^^^^^^^^^^^^^^
Discouraged access: The method 'CDOHandlingConflictResolver.handleConflict(CDOHandlingConflictResolver.ConflictHandler, long)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[172] 
	conflictResolver.setConflictHandlerSelector(new InteractiveConflictHandlerSelector());
	                 ^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The method 'CDOHandlingConflictResolver.setConflictHandlerSelector(CDOHandlingConflictResolver.ConflictHandlerSelector)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo/4.10.0.v20200610-0352/org.eclipse.emf.cdo-4.10.0.v20200610-0352.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[172] 
	conflictResolver.setConflictHandlerSelector(new InteractiveConflictHandlerSelector());
	                                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'InteractiveConflictHandlerSelector' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.ui/4.8.0.v20200528-0542/org.eclipse.emf.cdo.ui-4.8.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[172] 
	conflictResolver.setConflictHandlerSelector(new InteractiveConflictHandlerSelector());
	                                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The constructor 'InteractiveConflictHandlerSelector()' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.ui/4.8.0.v20200528-0542/org.eclipse.emf.cdo.ui-4.8.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[328] 
	CDOView view = editors.remove(coreEditor);
	        ^^^^
The value of the local variable view is not used
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[374] 
	Optional<ISashWindowsContainer> sashContainer = AdapterUtils.adapt(editor, ISashWindowsContainer.class);
	                                                ^^^^^^^^^^^^
The type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[374] 
	Optional<ISashWindowsContainer> sashContainer = AdapterUtils.adapt(editor, ISashWindowsContainer.class);
	                                                             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The method adapt(Object, Class<ISashWindowsContainer>) from the type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[387] 
	Optional<ISashWindowsContainer> sashContainer = AdapterUtils.adapt(part, ISashWindowsContainer.class);
	                                                ^^^^^^^^^^^^
The type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java:[387] 
	Optional<ISashWindowsContainer> sashContainer = AdapterUtils.adapt(part, ISashWindowsContainer.class);
	                                                             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The method adapt(Object, Class<ISashWindowsContainer>) from the type AdapterUtils is deprecated
41 problems (41 warnings)
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/org.eclipse.papyrus.cdo.ui-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/org.eclipse.papyrus.cdo.ui-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.ui ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui.customization.properties >--
[INFO] Building org.eclipse.papyrus.cdo.ui.customization.properties 1.2.0-SNAPSHOT [9/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui.customization.properties:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/pom.xml
[INFO] Compiling 13 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/target/classes
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/src/org/eclipse/papyrus/cdo/internal/ui/customization/properties/storage/CDOTextURIHandler.java:[26] 
	import org.eclipse.emf.cdo.view.CDOViewSet;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The import org.eclipse.emf.cdo.view.CDOViewSet is never used
1 problem (1 warning)
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/target/org.eclipse.papyrus.cdo.ui.customization.properties-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.customization.properties/target/org.eclipse.papyrus.cdo.ui.customization.properties-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.ui.customization.properties ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] ----< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui.hyperlink >----
[INFO] Building org.eclipse.papyrus.cdo.ui.hyperlink 1.2.0-SNAPSHOT     [10/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.ui.hyperlink:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/pom.xml
[INFO] Compiling 9 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/target/classes
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[30] 
	import org.eclipse.emf.cdo.explorer.ui.checkouts.CDOCheckoutContentProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[31] 
	import org.eclipse.emf.cdo.explorer.ui.checkouts.actions.OpenWithActionProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'OpenWithActionProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[124] 
	CDOCheckoutContentProvider contentProvider = CDOCheckoutContentProvider.getInstance(CDOCheckoutContentProvider.PROJECT_EXPLORER_ID);
	^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[124] 
	CDOCheckoutContentProvider contentProvider = CDOCheckoutContentProvider.getInstance(CDOCheckoutContentProvider.PROJECT_EXPLORER_ID);
	                                             ^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[124] 
	CDOCheckoutContentProvider contentProvider = CDOCheckoutContentProvider.getInstance(CDOCheckoutContentProvider.PROJECT_EXPLORER_ID);
	                                                                        ^^^^^^^^^^^
Discouraged access: The method 'CDOCheckoutContentProvider.getInstance(String)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[124] 
	CDOCheckoutContentProvider contentProvider = CDOCheckoutContentProvider.getInstance(CDOCheckoutContentProvider.PROJECT_EXPLORER_ID);
	                                                                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[124] 
	CDOCheckoutContentProvider contentProvider = CDOCheckoutContentProvider.getInstance(CDOCheckoutContentProvider.PROJECT_EXPLORER_ID);
	                                                                                                               ^^^^^^^^^^^^^^^^^^^
Discouraged access: The field 'CDOCheckoutContentProvider.PROJECT_EXPLORER_ID' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[127] 
	contentProvider.selectObjects(checkout);
	                ^^^^^^^^^^^^^
Discouraged access: The method 'CDOCheckoutContentProvider.selectObjects(Object[])' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[134] 
	OpenWithActionProvider.openEditor(page, null, object, null);
	^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'OpenWithActionProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[134] 
	OpenWithActionProvider.openEditor(page, null, object, null);
	                       ^^^^^^^^^^
Discouraged access: The method 'OpenWithActionProvider.openEditor(IWorkbenchPage, ComposedAdapterFactory, EObject, String)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[137] 
	OpenWithActionProvider.openEditor(page, null, diResource, PapyrusCDOEditorOpener.ID);
	^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'OpenWithActionProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlink.java:[137] 
	OpenWithActionProvider.openEditor(page, null, diResource, PapyrusCDOEditorOpener.ID);
	                       ^^^^^^^^^^
Discouraged access: The method 'OpenWithActionProvider.openEditor(IWorkbenchPage, ComposedAdapterFactory, EObject, String)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlinkHelper.java:[38] 
	import org.eclipse.papyrus.infra.core.utils.AdapterUtils;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlinkHelper.java:[106] 
	CDOResourceNode node = AdapterUtils.adapt(linkTarget, CDOResourceNode.class, null);
	                       ^^^^^^^^^^^^
The type AdapterUtils is deprecated
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/org/eclipse/papyrus/cdo/internal/ui/hyperlink/CDOResourceHyperlinkHelper.java:[106] 
	CDOResourceNode node = AdapterUtils.adapt(linkTarget, CDOResourceNode.class, null);
	                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The method adapt(Object, Class<CDOResourceNode>, CDOResourceNode) from the type AdapterUtils is deprecated
15 problems (15 warnings)
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/target/org.eclipse.papyrus.cdo.ui.hyperlink-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui.hyperlink/target/org.eclipse.papyrus.cdo.ui.hyperlink-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.ui.hyperlink ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] ---< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.diagram.ui >---
[INFO] Building org.eclipse.papyrus.cdo.uml.diagram.ui 1.2.0-SNAPSHOT   [11/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.diagram.ui:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/pom.xml
[INFO] Compiling 5 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/target/classes
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/CDONewModelStorageProvider.java:[26] 
	import org.eclipse.core.runtime.IStatus;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The import org.eclipse.core.runtime.IStatus is never used
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/CDONewModelStorageProvider.java:[37] 
	import org.eclipse.papyrus.cdo.internal.ui.editors.PapyrusCDOEditorInput;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'PapyrusCDOEditorInput' is not API (restriction on classpath entry '/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/classes')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/CDONewModelStorageProvider.java:[179] 
	return new PapyrusCDOEditorInput(uri, uri.trimFileExtension().lastSegment());
	           ^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'PapyrusCDOEditorInput' is not API (restriction on classpath entry '/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/classes')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/CDONewModelStorageProvider.java:[179] 
	return new PapyrusCDOEditorInput(uri, uri.trimFileExtension().lastSegment());
	           ^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The constructor 'PapyrusCDOEditorInput(URI, String)' is not API (restriction on classpath entry '/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.ui/target/classes')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/NewModelPage.java:[31] 
	import org.eclipse.emf.cdo.explorer.ui.checkouts.CDOCheckoutContentProvider;
	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/NewModelPage.java:[109] 
	folderViewer = CDOCheckoutContentProvider.createTreeViewer(container);
	               ^^^^^^^^^^^^^^^^^^^^^^^^^^
Discouraged access: The type 'CDOCheckoutContentProvider' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/NewModelPage.java:[109] 
	folderViewer = CDOCheckoutContentProvider.createTreeViewer(container);
	                                          ^^^^^^^^^^^^^^^^
Discouraged access: The method 'CDOCheckoutContentProvider.createTreeViewer(Composite)' is not API (restriction on classpath entry '/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/p2/osgi/bundle/org.eclipse.emf.cdo.explorer.ui/4.6.0.v20200528-0542/org.eclipse.emf.cdo.explorer.ui-4.6.0.v20200528-0542.jar')
[WARNING] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/org/eclipse/papyrus/cdo/uml/diagram/internal/ui/wizards/NewModelPage.java:[468] 
	private static SegmentType of(CDOResourceNode resourceNode) {
	                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The method of(CDOResourceNode) from the type NewModelPage.SegmentType is never used locally
8 problems (8 warnings)
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/target/org.eclipse.papyrus.cdo.uml.diagram.ui-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.diagram.ui/target/org.eclipse.papyrus.cdo.uml.diagram.ui-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.uml.diagram.ui ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] ---< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.search.ui >----
[INFO] Building org.eclipse.papyrus.cdo.uml.search.ui 1.2.0-SNAPSHOT    [12/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.search.ui:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/pom.xml
[INFO] Compiling 7 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/target/org.eclipse.papyrus.cdo.uml.search.ui-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.search.ui/target/org.eclipse.papyrus.cdo.uml.search.ui-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.uml.search.ui ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] -------< org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.ui >-------
[INFO] Building org.eclipse.papyrus.cdo.uml.ui 1.2.0-SNAPSHOT           [13/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] The project's OSGi version is 1.2.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.cdo.uml.ui ---
[WARNING] The effective compiler target level 1.8 is incompatible with the following OSGi execution environments: [JavaSE-1.6 (assumes 1.6)] @ MavenProject: org.eclipse.papyrus.cdo:org.eclipse.papyrus.cdo.uml.ui:1.2.0-SNAPSHOT @ /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/pom.xml
[INFO] Compiling 3 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/target/org.eclipse.papyrus.cdo.uml.ui-1.2.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.cdo.uml.ui/target/org.eclipse.papyrus.cdo.uml.ui-1.2.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.cdo.uml.ui ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.infra.gmfdiag.css.cdo >--
[INFO] Building org.eclipse.papyrus.infra.gmfdiag.css.cdo 2.2.100-SNAPSHOT [14/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] The project's OSGi version is 2.2.100.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Compiling 40 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/target/org.eclipse.papyrus.infra.gmfdiag.css.cdo-2.2.100-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.css.cdo/target/org.eclipse.papyrus.infra.gmfdiag.css.cdo-2.2.100-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.infra.gmfdiag.css.cdo ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.infra.gmfdiag.style.cdo >--
[INFO] Building org.eclipse.papyrus.infra.gmfdiag.style.cdo 2.0.0-SNAPSHOT [15/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] The project's OSGi version is 2.0.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Compiling 2 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/target/classes
[INFO] 
[INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/src/test/resources
[INFO] 
[INFO] --- tycho-source-plugin:1.6.0:plugin-source (plugin-source) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/target/org.eclipse.papyrus.infra.gmfdiag.style.cdo-2.0.0-SNAPSHOT-sources.jar
[INFO] 
[INFO] --- target-platform-configuration:1.6.0:target-platform (default-target-platform) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:package-plugin (default-package-plugin) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Building jar: /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.gmfdiag.style.cdo/target/org.eclipse.papyrus.infra.gmfdiag.style.cdo-2.0.0-SNAPSHOT.jar
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- tycho-source-feature-plugin:1.6.0:source-feature (source-feature) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- tycho-p2-plugin:1.6.0:p2-metadata (attach-p2-metadata) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:report (default-report) @ org.eclipse.papyrus.infra.gmfdiag.style.cdo ---
[INFO] Skipping JaCoCo execution due to missing execution data file.
[INFO] 
[INFO] --< org.eclipse.papyrus.cdo:org.eclipse.papyrus.infra.core.architecture.cdo >--
[INFO] Building org.eclipse.papyrus.infra.core.architecture.cdo 2.1.0-SNAPSHOT [16/35]
[INFO] ---------------------------[ eclipse-plugin ]---------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:build-qualifier (default-build-qualifier) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] The project's OSGi version is 2.1.0.202008071447
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-id (default-validate-id) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] 
[INFO] --- tycho-packaging-plugin:1.6.0:validate-version (default-validate-version) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] 
[INFO] --- jacoco-maven-plugin:0.8.5:prepare-agent (default-prepare-agent) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] argLine set to -javaagent:/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar=destfile=/jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.core.architecture.cdo/target/jacoco.exec,includes=org.eclipse.papyrus.*,excludes=org.eclipse.uml2
[INFO] 
[INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.core.architecture.cdo/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:1.6.0:compile (default-compile) @ org.eclipse.papyrus.infra.core.architecture.cdo ---
[INFO] Compiling 12 source files to /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.core.architecture.cdo/target/classes
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] Collaborative Modeling - CDO 1.2.0-SNAPSHOT ........ SUCCESS [01:07 min]
[INFO] org.eclipse.papyrus.cdo-bundles 1.2.0-SNAPSHOT ..... SUCCESS [  0.007 s]
[INFO] org.eclipse.papyrus.cdo.core 2.0.1-SNAPSHOT ........ SUCCESS [ 36.727 s]
[INFO] org.eclipse.papyrus.cdo.security 1.0.0-SNAPSHOT .... SUCCESS [  0.236 s]
[INFO] org.eclipse.papyrus.cdo.security.properties 1.0.0-SNAPSHOT SUCCESS [  0.169 s]
[INFO] org.eclipse.papyrus.cdo.validation.problems 1.2.0-SNAPSHOT SUCCESS [  0.214 s]
[INFO] org.eclipse.papyrus.cdo.validation.problems.edit 1.2.0-SNAPSHOT SUCCESS [  0.134 s]
[INFO] org.eclipse.papyrus.cdo.ui 1.2.0-SNAPSHOT .......... SUCCESS [  2.516 s]
[INFO] org.eclipse.papyrus.cdo.ui.customization.properties 1.2.0-SNAPSHOT SUCCESS [  0.538 s]
[INFO] org.eclipse.papyrus.cdo.ui.hyperlink 1.2.0-SNAPSHOT  SUCCESS [  0.399 s]
[INFO] org.eclipse.papyrus.cdo.uml.diagram.ui 1.2.0-SNAPSHOT SUCCESS [  0.479 s]
[INFO] org.eclipse.papyrus.cdo.uml.search.ui 1.2.0-SNAPSHOT SUCCESS [  0.489 s]
[INFO] org.eclipse.papyrus.cdo.uml.ui 1.2.0-SNAPSHOT ...... SUCCESS [  0.312 s]
[INFO] org.eclipse.papyrus.infra.gmfdiag.css.cdo 2.2.100-SNAPSHOT SUCCESS [  0.465 s]
[INFO] org.eclipse.papyrus.infra.gmfdiag.style.cdo 2.0.0-SNAPSHOT SUCCESS [  0.207 s]
[INFO] org.eclipse.papyrus.infra.core.architecture.cdo 2.1.0-SNAPSHOT FAILURE [  0.132 s]
[INFO] org.eclipse.papyrus.infra.nattable.model.cdo 4.2.0-SNAPSHOT SKIPPED
[INFO] uml 1.2.0-SNAPSHOT ................................. SKIPPED
[INFO] org.eclipse.uml2.uml.cdo 5.4.0-SNAPSHOT ............ SKIPPED
[INFO] org.eclipse.uml2.uml.profile.standard.cdo 1.5.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo-features 1.2.0-SNAPSHOT .... SKIPPED
[INFO] org.eclipse.papyrus.cdo.feature 1.2.0-SNAPSHOT ..... SKIPPED
[INFO] org.eclipse.papyrus.cdo.models.feature 1.0.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo-releng 1.2.0-SNAPSHOT ...... SKIPPED
[INFO] org.eclipse.papyrus.cdo.p2 1.2.0-SNAPSHOT .......... SKIPPED
[INFO] org.eclipse.papyrus.cdo-targetplatforms 1.2.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo.targetplatform 1.2.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo-tests 1.2.0-SNAPSHOT ....... SKIPPED
[INFO] org.eclipse.papyrus.cdo.core.tests 1.2.0-SNAPSHOT .. SKIPPED
[INFO] org.eclipse.papyrus.cdo.ui.tests 1.2.0-SNAPSHOT .... SKIPPED
[INFO] org.eclipse.papyrus.cdo.validation.problems.tests 1.2.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo.uml.ui.tests 1.2.0-SNAPSHOT  SKIPPED
[INFO] org.eclipse.papyrus.cdo.uml.search.ui.tests 1.2.0-SNAPSHOT SKIPPED
[INFO] org.eclipse.papyrus.cdo.tests 1.2.0-SNAPSHOT ....... SKIPPED
[INFO] org.eclipse.papyrus.uml.cdo-tests 1.2.0-SNAPSHOT ... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time:  07:16 min
[INFO] Finished at: 2020-08-07T10:54:55-04:00
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.eclipse.tycho:tycho-compiler-plugin:1.6.0:compile (default-compile) on project org.eclipse.papyrus.infra.core.architecture.cdo: Compilation failure: Compilation failure: 
[ERROR] /jobs/genie.papyrus/Papyrus-CDO-Gerrit/workspace/cdo/bundles/org.eclipse.papyrus.infra.core.architecture.cdo/src/org/eclipse/papyrus/infra/core/architecture/cdo/ArchitectureDescriptionLanguageImpl.java:[45] 
[ERROR] 	public class ArchitectureDescriptionLanguageImpl extends ArchitectureContextImpl implements ArchitectureDescriptionLanguage {
[ERROR] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[ERROR] The type ArchitectureDescriptionLanguageImpl must implement the inherited abstract method ArchitectureDescriptionLanguage.getTreeViewerConfigurations()
[ERROR] 1 problem (1 error)
[ERROR] -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <args> -rf :org.eclipse.papyrus.infra.core.architecture.cdo
Build step 'Invoke top-level Maven targets' marked build as failure
Taking screenshot.
[workspace] $ echo $XAUTHORITY
/home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.Xauthority-1318496456101884782
[workspace] $ ls -l $XAUTHORITY
-rw-rw-r-- 1 genie.papyrus modeling.mdt.papyrus 0 Aug  7 10:47 /home/hudson/genie.papyrus/.jenkins/jobs/Papyrus-CDO-Gerrit/workspace/.Xauthority-1318496456101884782
[workspace] $ import -window root -display :725 screenshot.jpg
Terminating xvnc.
Not sending mail to unregistered user sebastien.revol@cea.fr
An attempt to send an e-mail to empty list of recipients, ignored.
Started calculate disk usage of build
Finished Calculation of disk usage of build in 0 seconds
Started calculate disk usage of workspace
Finished Calculation of disk usage of workspace in 0 seconds
Finished: FAILURE